Skip to content

Start or end live chat

post/livechat-state
Any key

Toggle or set the state of a live chat session for a specific conversation. Your plan must include live chat, and live chat must be enabled in the chatbot's settings.

Request body

Sending 2 of 3 fields
Required
chatbotIdstring
The unique identifier of the chatbot.
conversationIdstring
The unique identifier of the conversation.

Only these fields are sent (application/json).

Try it · POST /livechat-state
curl 'https://api.chat-data.com/api/v2/livechat-state' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "chatbotId": "6650f1c2a9e4b83d2c7a1f05",  "conversationId": "3f2b8c1e-9a4d-4e7b-8c2a-5d1e6f7a8b9c"}'
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringOne of: success.
liveChatEndedbooleanWhether the live chat session has ended after this request.

Example

{  "status": "success",  "liveChatEnded": true}

Last updated October 14, 2026